#
# Conditional build:
%bcond_without	kernelsrc	# probes which require full kernel source (kvm, btrfs, ext4, regmap)
%bcond_without	ftrace		# dynamic ftrace module
%bcond_with	verbose		# verbose build (V=1)

# nothing to be placed to debuginfo package
%define		_enable_debug_packages	0

%define		rel	1
%define		pname	lttng-modules
Summary:	LTTng 2.x kernel modules
Summary(pl.UTF-8):	Moduły jądra LTTng 2.x
Name:		%{pname}%{_alt_kernel}
Version:	2.7.0
Release:	%{rel}@%{_kernel_ver_str}
License:	GPL v2
Group:		Base/Kernel
Source0:	http://lttng.org/files/lttng-modules/%{pname}-%{version}.tar.bz2
# Source0-md5:	572a0a959ab450553bf2112aeff1fb3d
Patch0:		build.patch
URL:		http://lttng.org/
%{expand:%buildrequires_kernel kernel%%{_alt_kernel}-module-build >= 3:2.6.38}
%{?with_kernelsrc:%{expand:%buildrequires_kernel kernel%%{_alt_kernel}-source >= 3:2.6.38}}
BuildRequires:	rpmbuild(macros) >= 1.701
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LTTng 2.x kernel modules.

%description -l pl.UTF-8
Moduły jądra LTTng 2.x.

%define	kernel_pkg()\
%package -n kernel%{_alt_kernel}-lttng\
Summary:	LTTng 2.x modules for Linux kernel\
Summary(pl.UTF-8):	Moduły LTTng 2.x dla jądra Linuksa\
Release:	%{rel}@%{_kernel_ver_str}\
Group:		Base/Kernel\
Requires(post,postun):	/sbin/depmod\
%requires_releq_kernel\
Requires(postun):	%releq_kernel\
\
%description -n kernel%{_alt_kernel}-lttng\
LTTng 2.x modules for Linux kernel.\
\
%description -n kernel%{_alt_kernel}-lttng -l pl.UTF-8\
Moduły LTTng 2.x dla jądra Linuksa.\
\
%files -n kernel%{_alt_kernel}-lttng\
%defattr(644,root,root,755)\
%doc ChangeLog LICENSE README.md TODO\
%dir /lib/modules/%{_kernel_ver}/kernel/lttng\
/lib/modules/%{_kernel_ver}/kernel/lttng/lttng-ring-buffer-*.ko*\
/lib/modules/%{_kernel_ver}/kernel/lttng/lttng-statedump.ko*\
/lib/modules/%{_kernel_ver}/kernel/lttng/lttng-tracer.ko*\
%dir /lib/modules/%{_kernel_ver}/kernel/lttng/lib\
/lib/modules/%{_kernel_ver}/kernel/lttng/lib/lttng-lib-ring-buffer.ko*\
%dir /lib/modules/%{_kernel_ver}/kernel/lttng/probes\
%{?with_ftrace:/lib/modules/%{_kernel_ver}/kernel/lttng/probes/lttng-ftrace.ko*}\
/lib/modules/%{_kernel_ver}/kernel/lttng/probes/lttng-kprobes.ko*\
/lib/modules/%{_kernel_ver}/kernel/lttng/probes/lttng-kretprobes.ko*\
/lib/modules/%{_kernel_ver}/kernel/lttng/probes/lttng-probe-*.ko*\
/lib/modules/%{_kernel_ver}/kernel/lttng/probes/lttng-test.ko*\
/lib/modules/%{_kernel_ver}/kernel/lttng/probes/lttng-types.ko*\
\
%post	-n kernel%{_alt_kernel}-lttng\
%depmod %{_kernel_ver}\
\
%postun	-n kernel%{_alt_kernel}-lttng\
%depmod %{_kernel_ver}\
%{nil}

%define build_kernel_pkg()\
%{__make} \\\
	KERNELDIR=%{_kernelsrcdir} \\\
	EXTCFLAGS="%{rpmcflags}"\
p=`pwd`\
%{__make} modules_install \\\
	INSTALL_MOD_PATH=$p/installed \\\
	INSTALL_MOD_DIR=kernel/lttng \\\
	KERNELDIR=%{_kernelsrcdir}\
%{nil}

%{expand:%create_kernel_packages}

%prep
%setup -q -n %{pname}-%{version}
%patch0 -p1

%build
%{expand:%build_kernel_packages}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT

cp -a installed/* $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT
%changelog
* Thu Nov 12 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lttng-modules.git;a=log;h=auto/th/lttng-modules-2.7.0-1

* Sun Oct 04 2015 Jan Rękorajski <baggins@pld-linux.org> 1fd1315
- package test module

* Sun Oct 04 2015 Jakub Bogusz <qboosh@pld-linux.org> 83cefbc
- updated to 2.7.0

* Mon Sep 14 2015 Jakub Bogusz <qboosh@pld-linux.org> b5a5bc4
- up to 2.6.3

* Tue Jun 30 2015 Jakub Bogusz <qboosh@pld-linux.org> a453dde
- updated to 2.6.2

* Sat May 09 2015 Jakub Bogusz <qboosh@pld-linux.org> 4e2f2c4
- updated to 2.6.1
- removed obsolete kernel-updates patch

* Sun Apr 19 2015 Jan Rękorajski <baggins@pld-linux.org> 0c40909
- updated upstream branch
- rel 5

* Mon Mar 30 2015 Jan Rękorajski <baggins@pld-linux.org> d95490e
- rel 4

* Mon Mar 30 2015 Jan Rękorajski <baggins@pld-linux.org> 7b1cb81
- fix syntax

* Mon Mar 30 2015 Jan Rękorajski <baggins@pld-linux.org> 9bc3c56
- fix building on 3.18.10

* Mon Mar 30 2015 Jan Rękorajski <baggins@pld-linux.org> bdee728
- fix kernel patch for 3.19
- rel 3

* Sun Mar 22 2015 Jan Rękorajski <baggins@pld-linux.org> 802e7a4
- build and run-time fixes for current kernels
- rel 2

* Wed Jan 28 2015 Jakub Bogusz <qboosh@pld-linux.org> 185a1fe
- updated docs

* Wed Jan 28 2015 Jan Rękorajski <baggins@pld-linux.org> 59b72c3
- up to 2.6.0

* Tue Jan 27 2015 Jan Rękorajski <baggins@pld-linux.org> 5d4b3b8
- rel 2

* Tue Jan 27 2015 Jan Rękorajski <baggins@pld-linux.org> 81cb42d
- updated kernel modules build system

* Tue Jan 27 2015 Jan Rękorajski <baggins@pld-linux.org> 5c25139
- drop non-dist kernel support

* Sun Jan 25 2015 Jan Rękorajski <baggins@pld-linux.org> 6be7f7c
- up to 2.5.2
- fix build with linux 3.18

* Sun Nov 23 2014 Jan Rękorajski <baggins@pld-linux.org> 9698438
- fix paths in patch

* Sun Nov 23 2014 Jan Rękorajski <baggins@pld-linux.org> 109f5cf
- fix building with 3.14.25
- rel 3

* Sun Nov 09 2014 Jan Rękorajski <baggins@pld-linux.org> 70ed592
- linux 3.17 fixes from upstream
- rel 2

